%def_disable snapshot

%define _name Keypunch
%define ver_major 6.3
%define rdn_name dev.bragefuglseth.%_name

%def_enable check
%def_disable bootstrap

Name: keypunch
Version: %ver_major
Release: alt1

Summary: Keypunch is a typing tutor
License: GPL-3.0-or-later
Group: Games/Educational
Url: https://apps.gnome.org/Keypunch/

Vcs: https://github.com/bragefuglseth/keypunch.git

%if_disabled snapshot
Source: https://github.com/bragefuglseth/keypunch/archive/v%version/%name-%version.tar.gz
%else
Source: %name-%version.tar
%endif
Source1: %name-%version-cargo.tar

BuildRequires(pre): rpm-macros-meson
BuildRequires: meson rust-cargo blueprint-compiler
BuildRequires: pkgconfig(libadwaita-1)
%{?_enable_check:BuildRequires: /usr/bin/desktop-file-validate /usr/bin/appstreamcli /usr/bin/glib-compile-schemas}

%description
Practice your typing skills with Keypunch.

%prep
%setup %{?_disable_bootstrap:-a1}
%{?_enable_bootstrap:
[ ! -d .cargo ] && mkdir .cargo
cargo vendor | sed 's/^directory = ".*"/directory = "vendor"/g' > .cargo/config.toml
tar -cf %_sourcedir/%name-%version-cargo.tar .cargo/ vendor/}

%build
%meson -Dbuildtype=release
%nil
%meson_build

%install
%meson_install
%find_lang %name

%check
%__meson_test

%files -f %name.lang
%_bindir/%name
%_desktopdir/%{rdn_name}.desktop
%_datadir/icons/hicolor/*/apps/*
%_datadir/glib-2.0/schemas/%rdn_name.gschema.xml
%_datadir/metainfo/%rdn_name.metainfo.xml
%doc README.*

%changelog
* Wed Apr 30 2025 Yuri N. Sedunov <aris@altlinux.org> 6.3-alt1
- 6.3

* Tue Apr 15 2025 Yuri N. Sedunov <aris@altlinux.org> 6.2-alt1
- 6.2

* Thu Apr 10 2025 Yuri N. Sedunov <aris@altlinux.org> 6.1-alt1
- 6.1

* Sat Apr 05 2025 Yuri N. Sedunov <aris@altlinux.org> 6.0-alt1
- 6.0

* Sun Dec 29 2024 Yuri N. Sedunov <aris@altlinux.org> 5.1-alt1
- 5.1

* Tue Dec 24 2024 Yuri N. Sedunov <aris@altlinux.org> 5.0-alt1
- 5.0

* Sat Sep 21 2024 Yuri N. Sedunov <aris@altlinux.org> 4.0-alt1
- 4.0

* Sat Aug 17 2024 Yuri N. Sedunov <aris@altlinux.org> 3.1-alt1
- 3.1

* Thu Jul 18 2024 Yuri N. Sedunov <aris@altlinux.org> 3.0-alt1
- updated to v3.0-3-g6380e9e

* Tue Jul 02 2024 Yuri N. Sedunov <aris@altlinux.org> 2.0-alt1
- updated to v2.0-7-geb167e7

* Sat Jun 08 2024 Yuri N. Sedunov <aris@altlinux.org> 1.0-alt1
- first build for Sisyphus (v1.0-15-g959968c)
